
Redmine - Defect #13938

Work slowly

2013-05-03 12:48 - Samir Suleymanov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.0

Description

Everything works fine but one thing.

When I creating new issue and click Create - it takes for about 10-15 seconds to add new issue.

How can I solve the problem please?

History

#1 - 2013-05-03 12:56 - Jean-Baptiste Barth

Do you have a lot of users in your instance ? From my experience it can take a while to build the notification recipients list (which is calculated

synchronously). Please try to confirm that, we have some pending patches that could improve this in the next versions.

#2 - 2013-05-03 20:39 - Sharique Abdullah

Probably because you've configured email mechanism and it is using smtp / sendmail instead of async smtp or async sendmail? Sending emails is a

length process specially if multiple users are supposed to receive notifications about the issue update / creation.

#3 - 2016-01-04 11:57 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

No feedback for years. Closing.

As Sharique Abdullah wrote, I think the cause of the problem is email configuration. The connection between the Redmine and the SMTP server

might be slow.

One way to address the problem is to use :async_smtp. Please see the following page for more details:

http://www.redmine.org/projects/redmine/wiki/EmailConfiguration#Asynchronous-delivery_methods
